Subject: bug#3911: get-free-disk-space when default-directory doesn't exist

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Aug 2009 14:29:37 -0400

>> How 'bout this patch instead (which could even work on Tramp
>> directories)?
> I don't think so.  It's still a race condition in between choosing an
> apparently existent directory and then making use of that directory,
> isn't it?

Emacs is made of such race conditions.  But there's a big difference
between DIR and/or its parents appearing/disappearing (as in my patch),
vs $HOME or some other unrealted directory appearing/disappearing.

> I think "/" is the only place certain to exist and not go
> away.  It's also the simplest approach.

I'd like to make it work for Tramp dirs as well.

> `sha1-string-external' is another place this comes up.  In that case the
> operation is completely unrelated to any directory, and so really should
> go to "/" so as to be independent of default-directory or whether that
> dir is coming or going.

For that one, yes, "/" is clearly a better choice.

        Stefan